#define BDMLIB // not an ideal way to prevent double registration of UI factories...
#include "base/bdmbase.h"
#include "base/user_info.h"
#include "stat/exp_family.h"
#include "itpp_ext.h"
#include "mpdf_harness.h"
#include "mat_checks.h"
#include "UnitTest++.h"

using namespace bdm;

template<>
const ParticularUI<mgamma> &ParticularUI<mgamma>::factory(
    ParticularUI<mgamma>("mgamma"));

TEST(test_mgamma) {
    RV::clear_all();
    UIFile in("mgamma.cfg");
    Array<mpdf_harness *> input;
    UI::get(input, in, "data");
    int sz = input.size();
    CHECK(sz > 0);
    for (int i = 0; i < sz; ++i) {
        input(i)->test();
    }
}
